<?php

/**
 * DeubertIT Healthchecks
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions© 2019 All rights reserved
 */

require_once realpath(__DIR__ . '##healthchecks-autoload-path##');

$isCliMode = php_sapi_name() === 'cli';

try
{
    $helper = new DeubertIt\Healthchecks\Requirements(realpath(__DIR__ . '##composer-filename##'));
    $helper->checkPhpRequirements();
    $helper->checkExtensionsRequirements();

    if (!$isCliMode)
    {
        http_response_code(200);
    }

    echo "OK\n";
}
catch (Exception $e)
{
    if (!$isCliMode)
    {
        http_response_code(503);
        echo "ERROR\n";
    }
    else
    {
        echo $e->getMessage(), "\n";
    }
}
